## NAME

v.reclass - Changes vector category values for an existing vector map according to results of SQL queries or a value in attribute table column.

## KEYWORDS

vector, reclass, attributes

## SYNOPSIS

v.reclass
v.reclass help
v.reclass input=name output=name [type=string[,string,...]] [layer=integer] [column=name] [rules=name] [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
type=string[,string,...]
  Feature type
  Options: point,line,boundary,centroid
  Default: point,line,boundary,centroid
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
column=name
  The name of the column whose values are to be used as new categories
  The source for the new key column must be type integer or string
rules=name
  Full path to the reclass rule file

## DESCRIPTION

v.reclass allows user to create a new vector map based on the reclassification of an existing vector map. It also allows the user to change the key column away from the default of "cat" with the column option.

Rules file may contain on each row either pair:

    keyword value

(separated by space) or comment beginning with '#' (hash). Definition of new category begins with keyword cat followed by the new category value. Keyword where specifies SQL where condition.

## NOTES

No table is created for the reclassed map if the column option is used and the column type is integer (as the result could contain ambiguities). If the column option is used and the column type is string, a new table is created containing the newly generated cat numbers and a single column containing the unique string column values, sorted in alphabetical order.

For dissolving common boundaries, see v.dissolve.

## EXAMPLES

### Example 1: Reclass by rules

    v.reclass input=land output=land_u type=boundary rules=land.rcl

the rules file contains :

    # land reclass file
    cat 1
    where use = 'E13' and owner = 'Jara Cimrman'
    cat 2
    where use = 'E14'

Produces a new vector area map land_u containing boundaries from land with area category values selected from database by SQL select statement:
`select id from tland where use = 'E13' and owner = 'Jara Cimrman'` changed to category 1;
values selected from database by SQL select statement:
`select id from tland where use = 'E14'` changed to category 2.

### Example 2: Reclass by attribute column

(North Carolina sample dataset)

    v.reclass in=streams out=streams_by_type column=I_vs_P

    v.db.select streams_by_type
    cat|I_vs_P
    1|intermittent
    2|perennial

## BUGS

No table is created for reclassed layer if rules option is used.

## SEE ALSO

v.dissolve, v.extract

GRASS SQL interface

## AUTHOR

R.L. Glenn, USDA, SCS, NHQ-CGIS
from v.reclass to v.db.reclass and later to v.reclass in 5.7 rewritten by Radim Blazek

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team